@echo off
@REM ##########################################################################
@REM # Licensed Materials - Property of IBM
@REM # 5724-D33
@REM # IBM Tivoli License Manager
@REM #
@REM # (C) Copyright IBM Corp. 2004.  All Rights Reserved.
@REM #
@REM # US Government Users Restricted Rights - Use, duplication or
@REM # disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM ##########################################################################

@REM ##########################################################################
@REM File        : getos.bat
@REM Purpose     : Set the environment variable given as parameter to the os name.
@REM Parameter1  : The variable to set
@REM It is set to:
@REM WIN2003 for Windows 2003
@REM WIN2000 for Windows 2000
@REM WINXP fot Windows XP
@REM UNKNOWN otherwise
@REM ##########################################################################

if "%1"=="" goto error

:check2000
ver | find "Windows 2000" > nul
if errorlevel 1 goto checkXP
set %1=WIN2000
goto finish

:checkXP
ver | find "Windows XP" > nul
if errorlevel 1 goto check2003
set %1=WINXP
goto finish

:check2003
gettype | find "Windows Server 2003" > null
if errorlevel 1 goto unknown
set %1=WIN2003
goto finish

:unknown
set %1=UNKNOWN
goto finish

:error
echo usage: os VARIABLE 

:finish

